Subject: Re: [External] : bug#50926: Light edits to the Emacs Manual (screen.texi)

From: Stefan Kangas <[email-masked]>
Date: Fri, 1 Oct 2021 15:29:01 +0200

Drew Adams <[email-masked]> writes:
>
> Some quick, minor copy-edit suggestions -
>
> > -  Some commands display informative messages in the echo area to tell
> > -you what the command has done,
> > +  Some commands display messages in the echo area to tell
> > +you what it has done,
>
> Some commands...what they have done.

Done.

> > , such as Text
> > -mode, Lisp mode, C mode, and so forth.  @xref{Major Modes}.  Some
> > +mode, Lisp mode, C mode, and so on.  @xref{Major Modes}.
>
> Drop the ", and so *".  It's redundant with "such as".

Done.

> > +@xref{Optional Mode Line}.  Finally, you can click
> > +on different parts of the mode line
>
> Drop "on".

Done.

> > Hovering
> > +the mouse pointer above...shows...by clicking
>
> "Place the mouse pointer on...to show...
> by clicking there"
>
> or
>
> "Move the mouse pointer to...to show...
> by clicking there"

Skipped this one, as it goes further than I'd like at this point.
Thanks, though.

> -command from the menu bar.  An arrow on the right edge of a menu item
> -means it leads to a subsidiary menu, or @dfn{submenu}.  A @samp{...}
> +command from the menu bar or a @dfn{submenu}.  A @samp{...}
>
> That's wrong, IMO.  The menu-bar has menus, which can
> have submenus.  The menu-bar doesn't have submenus.

So the original text is wrong as well?

> +  If a command in the menu bar have an ordinary key binding
>
> "has", not "have"

Oops, a very obvious one.  Fixed.

> -  Instead of using the mouse, you can also invoke the first menu bar
> -item by pressing @key{F10} (to run the command @code{menu-bar-open}).
> +  You can invoke the first menu bar
> +item with your keyboard by pressing @key{F10} (to run the command
> @code{menu-bar-open}).
>
> "menu-bar", not "menu bar" if used as an
> adjective before the noun.

Hmm, I'll take your word for it.

> But what is meant by "the first menu bar item"?
> The menu bar doesn't have items.  It has menus.
> And what's meant by "first" here?  Must have
> something to do with invoking (first command
> invoked?), but it's not clear to me what this
> is trying to say.

This is a pre-existing confusion, right?

> And you can drop "with your keyboard" here:
>
>   with your keyboard by pressing @key{F10}

Good point, but on the other hand it is to contrast with usage with
the mouse so I think it's also fine to leave it.

> HTH.  Feel free to ignore, of course.

Much appreciated, thank you.